Page MenuHomePhabricator

Special:Watchlist should show other languages
Closed, DuplicatePublic

Description

Author: netsettler

Description:
My user page knows to show other languages in which my name appears.
But my watchlist does not know to show other languages in which I have a name.
Consequently, if I'm viewing http://en.wikipedia.org/wiki/Special:Watchlist
I cannot click through to another language in a single page. I have to first select my user page, then select a translation, then reselect the watchlist in that other language.
I suspect the same issue comes up for other special pages, though I didn't do an exhaustive investigation.

(Frankly, I wish I had a way to see a multi-language overview of all changes. I'm the same person in all cases. I don't really want to read these things as separate forums, but as one unified forum. But I can appreciate that it's hard to keep the universes separated, so I understand the present design. Still, if it can do it for the user page, I think it should do it for other pages.)

(If it helps to have a specific test case, I'm user Netsettler on en.wikipedia.org, es.wikipedia.org, and pt.wikipedia.org.)

Thanks!


Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org/wiki/Special:Watchlist

Details

Reference
bz12778

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:04 PM
bzimport added a project: MediaWiki-Watchlist.
bzimport set Reference to bz12778.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jan 24 2008, 5:19 PM

This reads like a dupe of bug 3525.

But first we need Single User Login (SUL): bug 57

  • This bug has been marked as a duplicate of bug 3525 ***

netsettler wrote:

This is absolutely not a duplicate of 3525. I should have just left out the part about cross-media watchlists, which was only an afterthought. That's why it was in parentheses, and not part of the first/topic paragraph.

The real bug here is simpler and much more easily fixed, I suspect: I want to be able to click in the left margin on [Portuguese] or [Spanish] when I'm in English mode and get immediately from the watchlist (or any other special page associated with my English user page) to the corresponding special page associated with another language wiki that I have an account on. That bug is not mentioned at all in 3525. I do agree that 3525 is overlapping with my parenthetical remark, and I thank you for cc'ing me on that report. I'm glad it's being separately tracked, though a solution sounds like much more work and I don't expect such a solution to come soon.

This is not my bug list, and I consider myself somewhat a guest. If you guys who are doing the work want to close this on grounds of "we don't care" or "this is below our radar" or "we don't have the resources", that's entirely fine with me. But please don't close this by saying it's a duplicate of something that it isn't. I'm somewhat apprehensively reopening it on that basis, even though I feel awkward about managing someone else's space that way. I'll not fight further reclassifications, but I wanted at least a chance to appeal the closing on this basis.

On your user page you insert the interwikis to the other sites you have an account into the userpage itself.
Where would you put the interewikis which should appear in your watchlist?
Is it ok if you just list them in your monobook.js?

Other than that, we could check the centralauth table for merged accounts to list.

Changing component to "Watchlist"

  • Bug 17165 has been marked as a duplicate of this bug. ***

Today, a fix to this task could be applied by using Wikidata's interwiki links combined with the Compact language list, right? I wonder whether Wikidata has a special policy for Special pages.

On the other hand, I don't know where does this come from, but my watchlist in ca.wiki does contain a list of links to my watchlist in other languages -- https://ca.wikipedia.org/wiki/Especial:Llista_de_seguiment -- but I wonder whether that list is fixed or based on projects I have visited:

an · ar · ast · de · en · es · eu · fr · gl · it · ja · la · nl · no · oc · pl · pt · ro · ru · fi · sv · tr · uk · zh | Commons | Meta | Wikidata

Matiia added a subscriber: Matiia.Jul 20 2016, 8:35 PM
Meno25 removed a subscriber: Meno25.Jan 17 2017, 4:15 PM